function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_kitchen"
end

function p.main()
    -- The default block is "recursive kitchen".
    set_default_block("r_kitchen")

    -- Carving out the room.
    std.create_center(13, "e")
    std.create_half_tube(3, "x_pos", "e")

    -- Enlarging.
    create_rect("grow", 1,1,5,13,13,5) -- Grow plane.

    -- The pedestals.
    create_rect("s", 2,2,0, 2,2,5)
    create_rect("s", 2,4,0, 2,4,5)
    create_rect("s", 2,6,0, 2,6,5)
    create_rect("s", 2,8,0, 2,8,5)
    create_rect("s", 2,10,0, 2,10,5)
    create_rect("s", 2,12,0, 2,12,5)

    -- REPLACE THE "TREES" WITH YOUR CREATIONS!!!
    set_pos(2,2,6, "block_tree")
    set_pos(2,4,6, "block_tree")
    set_pos(2,6,6, "block_tree")
    set_pos(2,8,6, "block_tree")
    set_pos(2,10,6, "block_tree")
    set_pos(2,12,6, "block_tree")

    -- Shrinkers.
    add_bent(2,4,8,"bent_base_ring_green")
    add_bent(2,10,8,"bent_base_ring_green")

    -- Cat picture artwork.
    add_bent(7,13,7,"bent_base_picture_gato4")

    -- Text box.
    local msg_str = "This is the workshop. "
        .. "You can put your creations or "
        .. "works in progress on the pedestals. "
        .. "There is also lots of room on the floor, etc. "
        .. "To change this room, go to\n"
        .. "\"WorldNodes/Nodes/Floor1/tut_lev1_workshop.lua\". "
    add_bent_s(11,7,5,"bent_base_txt",msg_str)
end
